Splog not compatible with BuddyPress?

I installed Anti-splog on a BuddyPress site today and got an error upon activation: "Anti-Splog is only compatible with Multisite installs."

I did a forum search for "splog BuddyPress" and it appears others are making it work and your compatibility states BuddyPress?

I've copied the plugin to the wp-content/plugins and added blog-suspended.php to the wp-content folder?

Running WP 3.2 and BP 1.2.8 and Anti-Splog 1.1.1 ???

Am I missing something obvious?